      subroutine KINRED(EOF,KOUNT,RECURD,HIT,MCHEMG)
      include 'UNITS.INC'
      real RECURD(132), AVE(6), NEXT(5),TTEMP
      integer EOF,HIT,K,MCHEMG,I,KOUNT,JDUMMY,IOFF
      HIT = 0
      read (PLTLUN(MACHNO),end=150) K,TTEMP,AVE
      if (K.ne.MCHEMG) go to 110
      HIT = 1
      RECURD(1) = TTEMP
      do 100 I = 1, 6
         RECURD(I+1) = AVE(I)
100   continue
110   continue
      do 130 I = 1, KOUNT
         read (PLTLUN(MACHNO),end=150) K,TTEMP,JDUMMY,NEXT
         if (K.ne.MCHEMG) go to 130
         IOFF = (I-1)*5+7
         do 120 K = 1, 5
         RECURD(K+IOFF) = NEXT(K)
120      continue
130   continue
140   continue
      return
150   continue
      EOF = 2
      go to 140
      end
